var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import path from 'path';
import { readPackage } from '../utils/packages';
import config from '../config';
import { exists, readdir } from '../utils/files';
export default () => __awaiter(this, void 0, void 0, function* () {
    const packages = [];
    try {
        const dirs = yield readdir(config.path);
        for (const dir of dirs) {
            const pkgDir = path.resolve(config.path, dir);
            if (yield exists(path.resolve(pkgDir, 'package.json'))) {
                const pkg = yield readPackage(pkgDir);
                packages.push(pkg);
            }
        }
        return packages;
    }
    catch (e) {
        throw e;
    }
});
//# sourceMappingURL=list.js.map