var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import EasyVM from 'easy-vm';
import { resolve } from 'path';
import { readPackage } from '../utils/packages';
import { readFile } from '../utils/files';
import config from '../config';
import { parseRepository } from '../utils/github';
export default (namespace, sandbox = {}, mock = {}) => __awaiter(this, void 0, void 0, function* () {
    const { name } = parseRepository(namespace);
    if (name) {
        const pluginPath = resolve(config.path, name);
        const pkg = yield readPackage(pluginPath);
        const mainCode = yield readFile(resolve(pluginPath, pkg.main), 'utf8');
        const vm = new EasyVM({
            require: {
                builtin: ['*'],
                mock: Object.assign({}, mock),
            },
            sandbox,
            console: true,
        });
        return vm.run(mainCode, resolve(pluginPath, pkg.main));
    }
    throw new Error('Invalid package name');
});
//# sourceMappingURL=run.js.map