var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import fs from 'fs';
import rimraf from 'rimraf';
import { ncp } from 'ncp';
import { promisify } from 'util';
export const readFile = promisify(fs.readFile);
export const writeFile = promisify(fs.writeFile);
export const open = promisify(fs.open);
export const readdir = promisify(fs.readdir);
export function exists(path) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            yield open(path, 'r');
            return true;
        }
        catch (e) {
            return false;
        }
    });
}
export const remove = (path) => new Promise(resolve => {
    rimraf(path, () => {
        resolve();
    });
});
export const move = (path1, path2) => new Promise((resolve, reject) => {
    ncp(path1, path2, (err) => __awaiter(this, void 0, void 0, function* () {
        if (err) {
            reject(err);
        }
        yield remove(path1);
        resolve();
    }));
});
//# sourceMappingURL=files.js.map